On Thu, Oct 28, 2010 at 4:24 AM, Bruno Wolff III <bruno@wolff.to> wrote:
On Thu, Oct 28, 2010 at 00:50:52 +0100,
 Jeroen van Meeuwen <kanarip@kanarip.com> wrote:
> Lars Bjørndal wrote:
> > Hello list!
> >
> > What does this error mean:
> >
>
> Hey Lars,
>
> it means an API incompatible release for livecd-creator has been pushed to
> what is supposed to be a stable Fedora release...

The same problem is in F14 and rawhide. It wasn't obvious that livecd-tools
was supplying a library to outside packages and the problem wasn't
noticed in F14 after it had apparently been broken for months. And there
doesn't seem to be any use of versions dependencies to get the issue noticed
that way.

There some docs about livecd-tools API, which should probably be revisited now: http://git.fedorahosted.org/git/?p=livecd;a=blob;f=API
But in this case, Revisor is extending imgcreate classes in a way which relies on internals and cannot be considered part of the stable API:
http://git.fedorahosted.org/git/?p=revisor;a=blob;f=revisor/image.py

Alan